Package net.shibboleth.saml.saml2.profile.config.navigate

# Class QualifiedNameIDFormatsLookupFunction

java.lang.Object
net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction<Collection<String>>
net.shibboleth.saml.saml2.profile.config.navigate.QualifiedNameIDFormatsLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,Collection<String>>`, `ContextDataLookupFunction<ProfileRequestContext,Collection<String>>`

public class QualifiedNameIDFormatsLookupFunction extends AbstractRelyingPartyLookupFunction<Collection<String>>
A function that returns the `NameID` Formats whose NameQualifier attributes should allow for defaulting based on the result of `SingleLogoutProfileConfiguration.getQualifiedNameIDFormats(ProfileRequestContext)` if such a profile is available from a `RelyingPartyContext` obtained via a lookup function, by default a child of the `ProfileRequestContext`.

If a specific setting is unavailable, no values are returned.

Since:
  3.4.0

## Constructor Summary

Constructors
Constructor
Description
`QualifiedNameIDFormatsLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`apply(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### QualifiedNameIDFormatsLookupFunction

public QualifiedNameIDFormatsLookupFunction()

## Method Details

### apply

@Nullable @NotLive @Unmodifiable public Collection<String> apply(@Nullable ProfileRequestContext input)